Bug 1249159 - Default DPI set in gconf is ignored by gnome and gdm
Default DPI set in gconf is ignored by gnome and gdm
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-settings-daemon (Show other bugs)
6.7
x86_64 Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 12:32 EDT by rudolf
Modified: 2015-08-11 12:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-11 12:00:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-appearance-properties (36.44 KB, image/png)
2015-07-31 12:32 EDT, rudolf
no flags Details

  None (edit)
Description rudolf 2015-07-31 12:32:32 EDT
Created attachment 1058098 [details]
gnome-appearance-properties

Description of problem:

Gnome and gdm ingnores system-wide default DPI value set in gconf.
Side effect is that gnome-appearance-properties crashes and has some missing text in UI



How reproducible:

- I wanted to set system-wide default DPI for all users and gdm:
[root@localhost ~]# gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --type int --set /desktop/gnome/font_rendering/dpi 94

- value is set correctly:
[user@localhost ~]$ gconftool-2 --get /desktop/gnome/font_rendering/dpi
94



Actual results:

Custom value is ignored by gnome and gdm. When I open gnome-appearance-properties, it show missing text on Rendering section on Font tab. After clicking Details, gnome-appearance-properties application crashes.
Comment 2 rudolf 2015-08-10 10:59:09 EDT
Using --type float fixes issue for me, bug can be closed.
Comment 3 Ray Strode [halfline] 2015-08-11 12:00:39 EDT
Ah, indeed. Thanks for following up.

Note You need to log in before you can comment on or make changes to this bug.